bitel.billing.server.bill.bean

## Class AttributeManager

- java.lang.Object
- - bitel.billing.server.bill.bean.AttributeManager

-     public class AttributeManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeManager(java.sql.Connection con, int mid, java.lang.String config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearAttributes()`
    `void` | `clearAttributes(int cid)`
    `boolean` | `deleteAttribute(int id)`
    `java.util.List<Attribute>` | `getActiveAttributeList(int cid)`
    `Attribute` | `getAttribute(int cid, int id)`
    `java.util.List<Attribute>` | `getAttributeList(int cid)`
    `java.util.List<AttributeType>` | `getAttributeTypeList(int cid, int id)`
    `java.util.Map<java.lang.String,AttributeType>` | `getAttributeTypeMap(int cid, int id)`
    `boolean` | `updateAttribute(int id, int cid, java.lang.String name, java.lang.String value, java.util.Calendar start, java.util.Calendar end)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeManager

          public AttributeManager(java.sql.Connection con,
                                  int mid,
                                  java.lang.String config)

  - ### Method Detail

    - #### clearAttributes

          public void clearAttributes()

    - #### clearAttributes

          public void clearAttributes(int cid)

    - #### getActiveAttributeList

          public java.util.List<Attribute> getActiveAttributeList(int cid)

    - #### getAttributeList

          public java.util.List<Attribute> getAttributeList(int cid)

    - #### getAttributeTypeMap

          public java.util.Map<java.lang.String,AttributeType> getAttributeTypeMap(int cid,
                                                                                   int id)

    - #### getAttributeTypeList

          public java.util.List<AttributeType> getAttributeTypeList(int cid,
                                                                    int id)

    - #### getAttribute

          public Attribute getAttribute(int cid,
                                        int id)

    - #### updateAttribute

          public boolean updateAttribute(int id,
                                         int cid,
                                         java.lang.String name,
                                         java.lang.String value,
                                         java.util.Calendar start,
                                         java.util.Calendar end)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteAttribute

          public boolean deleteAttribute(int id)